Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Interface EjbJarType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  EjbJarTypeImpl

    public interface EjbJarType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `ejb-jarType` xsd type

Original Documentation:

The ejb-jarType defines the root element of the EJB
deployment descriptor. It contains
- an optional description of the ejb-jar file
- an optional display name
- an optional icon that contains a small and a large
icon file name
- an optional module name. Only applicable to
stand-alone ejb-jars or ejb-jars packaged in an ear.
Ignored if specified for an ejb-jar.xml within a .war.
In that case, standard .war module-name rules apply.
- structural information about all included
enterprise beans that is not specified through
annotations
- structural information about interceptor classes
- a descriptor for container managed relationships,
if any.
- an optional application-assembly descriptor
- an optional name of an ejb-client-jar file for the
ejb-jar.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`AssemblyDescriptorType<EjbJarType<T>>` | `assemblyDescriptor()` If not already created, a new `assembly-descriptor` element will be created and returned.
`EnterpriseBeansType<EjbJarType<T>>` | `enterpriseBeans()` If not already created, a new `enterprise-beans` element will be created and returned.
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.lang.String` | `getEjbClientJar()` Returns the `ejb-client-jar` element
`java.util.List<IconType<EjbJarType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getModuleName()` Returns the `module-name` element
`java.lang.String` | `getVersion()` Returns the `version` element
`IconType<EjbJarType<T>>` | `icon()` Returns the `icon` element
`InterceptorsType<EjbJarType<T>>` | `interceptors()` If not already created, a new `interceptors` element will be created and returned.
`java.lang.Boolean` | `isMetadataComplete()` Returns the `metadata-complete` element
`RelationshipsType<EjbJarType<T>>` | `relationships()` If not already created, a new `relationships` element will be created and returned.
`EjbJarType<T>` | `removeAllDescription()` Removes the `description` element
`EjbJarType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`EjbJarType<T>` | `removeAllIcon()` Removes all `icon` elements
`EjbJarType<T>` | `removeAssemblyDescriptor()` Removes the `assembly-descriptor` element
`EjbJarType<T>` | `removeEjbClientJar()` Removes the `ejb-client-jar` element
`EjbJarType<T>` | `removeEnterpriseBeans()` Removes the `enterprise-beans` element
`EjbJarType<T>` | `removeInterceptors()` Removes the `interceptors` element
`EjbJarType<T>` | `removeMetadataComplete()` Removes the `metadata-complete` attribute
`EjbJarType<T>` | `removeModuleName()` Removes the `module-name` element
`EjbJarType<T>` | `removeRelationships()` Removes the `relationships` element
`EjbJarType<T>` | `removeVersion()` Removes the `version` attribute
`EjbJarType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`EjbJarType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`EjbJarType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`EjbJarType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`EjbJarType<T>` | `setEjbClientJar(java.lang.String ejbClientJar)` If not already created, a new `ejb-client-jar` element with the given value will be created.
`EjbJarType<T>` | `setMetadataComplete(java.lang.Boolean metadataComplete)` Sets the `metadata-complete` attribute
`EjbJarType<T>` | `setModuleName(java.lang.String moduleName)` If not already created, a new `module-name` element with the given value will be created.
`EjbJarType<T>` | `setVersion(java.lang.String version)` Sets the `version` attribute

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    EjbJarType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `EjbJarType`

### setDescriptionList

    EjbJarType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `EjbJarType`

### removeAllDescription

    EjbJarType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `EjbJarType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    EjbJarType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `EjbJarType`

### setDisplayNameList

    EjbJarType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `EjbJarType`

### removeAllDisplayName

    EjbJarType<T> removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `EjbJarType`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    EjbJarType<T> removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `EjbJarType`

### icon

    IconType<EjbJarType<T>> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<EjbJarType<T>>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### setModuleName

    EjbJarType<T> setModuleName(java.lang.String moduleName)

  If not already created, a new `module-name` element with the given value will be created. Otherwise, the existing `module-name` element will be updated with the given value.

  Returns:
    the current instance of `EjbJarType`

### removeModuleName

    EjbJarType<T> removeModuleName()

  Removes the `module-name` element

  Returns:
    the current instance of `EjbJarType`

### getModuleName

    java.lang.String getModuleName()

  Returns the `module-name` element

  Returns:
    the node defined for the element `module-name`

### removeEnterpriseBeans

    EjbJarType<T> removeEnterpriseBeans()

  Removes the `enterprise-beans` element

  Returns:
    the current instance of `EjbJarType`

### enterpriseBeans

    EnterpriseBeansType<EjbJarType<T>> enterpriseBeans()

  If not already created, a new `enterprise-beans` element will be created and returned. Otherwise, the existing `enterprise-beans` element will be returned.

  Returns:
    the node defined for the element `enterprise-beans`

### removeInterceptors

    EjbJarType<T> removeInterceptors()

  Removes the `interceptors` element

  Returns:
    the current instance of `EjbJarType`

### interceptors

    InterceptorsType<EjbJarType<T>> interceptors()

  If not already created, a new `interceptors` element will be created and returned. Otherwise, the existing `interceptors` element will be returned.

  Returns:
    the node defined for the element `interceptors`

### removeRelationships

    EjbJarType<T> removeRelationships()

  Removes the `relationships` element

  Returns:
    the current instance of `EjbJarType`

### relationships

    RelationshipsType<EjbJarType<T>> relationships()

  If not already created, a new `relationships` element will be created and returned. Otherwise, the existing `relationships` element will be returned.

  Returns:
    the node defined for the element `relationships`

### removeAssemblyDescriptor

    EjbJarType<T> removeAssemblyDescriptor()

  Removes the `assembly-descriptor` element

  Returns:
    the current instance of `EjbJarType`

### assemblyDescriptor

    AssemblyDescriptorType<EjbJarType<T>> assemblyDescriptor()

  If not already created, a new `assembly-descriptor` element will be created and returned. Otherwise, the existing `assembly-descriptor` element will be returned.

  Returns:
    the node defined for the element `assembly-descriptor`

### setEjbClientJar

    EjbJarType<T> setEjbClientJar(java.lang.String ejbClientJar)

  If not already created, a new `ejb-client-jar` element with the given value will be created. Otherwise, the existing `ejb-client-jar` element will be updated with the given value.

  Returns:
    the current instance of `EjbJarType`

### removeEjbClientJar

    EjbJarType<T> removeEjbClientJar()

  Removes the `ejb-client-jar` element

  Returns:
    the current instance of `EjbJarType`

### getEjbClientJar

    java.lang.String getEjbClientJar()

  Returns the `ejb-client-jar` element

  Returns:
    the node defined for the element `ejb-client-jar`

### setVersion

    EjbJarType<T> setVersion(java.lang.String version)

  Sets the `version` attribute

  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `EjbJarType`

### removeVersion

    EjbJarType<T> removeVersion()

  Removes the `version` attribute

  Returns:
    the current instance of `EjbJarType`

### getVersion

    java.lang.String getVersion()

  Returns the `version` element

  Returns:
    the node defined for the element `version`

### setMetadataComplete

    EjbJarType<T> setMetadataComplete(java.lang.Boolean metadataComplete)

  Sets the `metadata-complete` attribute

  Parameters:
    `metadataComplete` - the value for the attribute `metadata-complete`
  Returns:
    the current instance of `EjbJarType`

### removeMetadataComplete

    EjbJarType<T> removeMetadataComplete()

  Removes the `metadata-complete` attribute

  Returns:
    the current instance of `EjbJarType`

### isMetadataComplete

    java.lang.Boolean isMetadataComplete()

  Returns the `metadata-complete` element

  Returns:
    the node defined for the element `metadata-complete`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD